Sha256: 38c5bd88ad1ec49ea2c2465d8bb77724075053b2ab3048afd8b5ac168a1dcccd

Contents?: true

Size: 535 Bytes

Versions: 8

Compression:

Stored size: 535 Bytes

Contents

#!/bin/sh
command -v docker > /dev/null 2>&1 || {
  echo "Unable to find \`docker' on your \$PATH, is it installed?" >&2
  exit 1
}

docker version | grep -q "Server version\|Server:" || {
  echo "Unable to run \`docker version', the docker daemon may not be running" >&2

  if command -v boot2docker > /dev/null 2>&1; then
    echo "Please ensure \`boot2docker up\` succeeds and you've run \`eval \$(boot2docker shellinit)\` in this shell" >&2
  else
    echo "Please ensure \`docker version' succeeds and try again"
  fi

  exit 1
}

Version data entries

8 entries across 8 versions & 1 rubygems

Version Path
codeclimate-0.4.4 bin/check
codeclimate-0.4.3 bin/check
codeclimate-0.4.1 bin/check
codeclimate-0.4.0 bin/check
codeclimate-0.3.2 bin/check
codeclimate-0.3.1 bin/check
codeclimate-0.3.0 bin/check
codeclimate-0.2.12 bin/check